<!DOCTYPE html>
<html>

<head>
<h1>JavaScript form validation<br></h1>
<link rel="stylesheet" href="HTML_Form.css">
<script src="HTML_Form.js"></script>
</head>

<body>
<!-- <p>
<img src="https://cdn.pixabay.com/photo/2016/03/19/04/40/cap-1266204_960_720.png" width="20%" height="30%"><br>
</p> -->
<div>
<form onsubmit="return (validateForm()&&validateCheckbox()&&validatePassword())" action="Redirect.html">
    <label><b>Email:</b></label><br>
    <input type="email" id="mail" name="email"><br>
   
    <label for="password"><b>Password:</b></label><br>
    <input type="password" id="pass" name="pass"><br>

  <br>
  


<label for="sex"><b>Sex:</b></label>
<select id="cars" name="sex">
    <option value="Male">Male</option>
    <option value="Female">Female</option>
    <option value="Other">Other</option>
  </select>
  <br><br>

  <div class="radio">
  <p><b>Role</b>:
   <input type="radio" id="u" name="role" value="admin" required>
   <label for="admin">Admin</label>

   <input type="radio" id="u" name="role" value="user">
   <label for="user">User</label><br>
   </div>
   </p>
<br>
 
 <p><b>Permissions</b></p>
 <input type="checkbox" id="perm1" value="Permission1" name="permission">
 <label for="perm1">Permission1</label><br>
 <input type="checkbox" id="perm2" value="Permission2"name="permission">
 <label for="perm2">Permission2</label><br>
 <input type="checkbox" id="perm3" value="Permission3"name="permission">
 <label for="perm3">Permission3</label><br>
 <input type="checkbox" id="perm4" value="Permission4"name="permission">
 <label for="perm4">Permission4</label><br>

<br>
  <button type="submit" class="sub" >Submit</button>
</form> 
</div>
</body>

</html>